package cn.superdesk.uniorder.dao.mapper.thirdpart.qchjc.organisation;

import cn.superdesk.uniorder.dao.entity.thirdpart.qchjc.organisation.QchjcEnterpriseEntity;
import cn.superdesk.uniorder.dao.entity.thirdpart.qchjc.organisation.QchjcEnterpriseEntityExample;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface QchjcEnterpriseEntityMapper {
    long countByExample(QchjcEnterpriseEntityExample example);

    int deleteByExample(QchjcEnterpriseEntityExample example);

    int deleteByPrimaryKey(Long id);

    int insert(QchjcEnterpriseEntity record);

    int insertSelective(QchjcEnterpriseEntity record);

    List<QchjcEnterpriseEntity> selectByExample(QchjcEnterpriseEntityExample example);

    QchjcEnterpriseEntity selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") QchjcEnterpriseEntity record, @Param("example") QchjcEnterpriseEntityExample example);

    int updateByExample(@Param("record") QchjcEnterpriseEntity record, @Param("example") QchjcEnterpriseEntityExample example);

    int updateByPrimaryKeySelective(QchjcEnterpriseEntity record);

    int updateByPrimaryKey(QchjcEnterpriseEntity record);

    QchjcEnterpriseEntity selectByOutId(@Param("outId") String outId);
}